%{?nodejs_find_provides_and_requires}

%global packagename repeat-string
%global enable_tests 1

Name:		nodejs-repeat-string
Version:	1.6.1
Release:	1%{?dist}
Summary:	Repeat the given string n times

License:	MIT
URL:		https://github.com/jonschlinkert/repeat-string.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/repeat-string/%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Repeat the given string n times. Fastest implementation for repeating a string.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Apr 17 2017 Jared Smith <jsmith@fedoraproject.org> - 1.6.1-1
- Update to upstream 1.6.1 release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 29 2016 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 1.5.4-1
- Update to 1.5.4 (#1312871)

* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.5.2-1
- Initial packaging
